Skip to content
Developer

IBAN

Open data1 EndpointsOpenData / IBAN

Returns BIC + name of the bank associated with the given IBAN. For invalid IBANs, NULL is returned.

GET/api/opendata/bank_data/iban

Query parameters

ibanrequiredstringIBAN

Responses

200Returns BIC + name of the bank associated with the given IBAN. For invalid IBANs, NULL is returned.BankData

Show fields (24)
  • idinteger

    Primary key of the bank data. Internal ID.

  • national_bank_numberstring

    National bank number (bank code) of the bank.

  • search_stringstring

    Text that the entity can be searched by.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • short_identifierstring

    Short identifier of the entity.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

Request
curl --request GET \
  --url 'https://your-instance.iw-erp.de/api/opendata/bank_data/iban?iban=DE02120300000000202051'
Response 200 application/json
{
  "id": 42,
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "payment_bic": "BYLADEM1001",
  "payment_iban": "DE02120300000000202051",
  "national_bank_number": "string",
  "search_string": "string"
}